Check if step-up authentication is required for a given scope
Returns whether the current user needs to provide an elevated access token for the given scope. The client should default to requiring step-up if this endpoint fails.
Documentation Index
Fetch the complete documentation index at: https://docs.dynamic.xyz/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Body
Valid scopes for an elevated access token
console:admin_action:review, console:approval_workflow:update, console:member:invite, console:mfa:reset, console:project:delete, console:settings:update, console:sso:update, console:user:delete, credential:link, credential:update, credential:unlink, user:update, user:delete, wallet:export, wallet:delete, wallet:delegate, wallet:sign, wallet:restore Response
Step-up check result
Whether step-up authentication is required for the given scope
The credentials available for step-up authentication. Empty if isRequired is false.
The recommended default credential to use for step-up. For reauth this is the sign-in credential; for MFA this is the default or most recently added device.